scala.tools.nsc.ast.Trees

# StrictTreeCopier

###
Related Doc: package Trees

#### class StrictTreeCopier extends Global.StrictTreeCopier with Global.TreeCopier

Source
  Trees.scala

Linear Supertypes
Global.TreeCopier, Global.StrictTreeCopier, Global.InternalTreeCopierOps, Global.TreeCopierOps, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. StrictTreeCopier
2. TreeCopier
3. StrictTreeCopier
4. InternalTreeCopierOps
5. TreeCopierOps
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Instance Constructors

1. #### new StrictTreeCopier()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Global.StrictTreeCopier to any2stringadd[Global.StrictTreeCopier] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Global.StrictTreeCopier, B)

   Implicit information
     This member is added by an implicit conversion from Global.StrictTreeCopier to ArrowAssoc[Global.StrictTreeCopier] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### def Alternative(tree: Global.Tree, trees: List[Global.Tree]): Global.Alternative

   Definition Classes
     StrictTreeCopier → TreeCopierOps

7. #### def Annotated(tree: Global.Tree, annot: Global.Tree, arg: Global.Tree): Global.Annotated

   Definition Classes
     StrictTreeCopier → TreeCopierOps

8. #### def AppliedTypeTree(tree: Global.Tree, tpt: Global.Tree, args: List[Global.Tree]): Global.AppliedTypeTree

   Definition Classes
     StrictTreeCopier → TreeCopierOps

9. #### def Apply(tree: Global.Tree, fun: Global.Tree, args: List[Global.Tree]): Global.Apply

   Definition Classes
     StrictTreeCopier → TreeCopierOps

10. #### def ApplyDynamic(tree: Global.Tree, qual: Global.Tree, args: List[Global.Tree]): Global.ApplyDynamic

    Definition Classes
      StrictTreeCopier → InternalTreeCopierOps

11. #### def ArrayValue(tree: Global.Tree, elemtpt: Global.Tree, trees: List[Global.Tree]): Global.ArrayValue

    Definition Classes
      StrictTreeCopier → InternalTreeCopierOps

12. #### def Assign(tree: Global.Tree, lhs: Global.Tree, rhs: Global.Tree): Global.Assign

    Definition Classes
      StrictTreeCopier → TreeCopierOps

13. #### def AssignOrNamedArg(tree: Global.Tree, lhs: Global.Tree, rhs: Global.Tree): Global.AssignOrNamedArg

    Definition Classes
      StrictTreeCopier → TreeCopierOps

14. #### def Bind(tree: Global.Tree, name: Global.Name, body: Global.Tree): Global.Bind

    Definition Classes
      StrictTreeCopier → TreeCopierOps

15. #### def Block(tree: Global.Tree, stats: List[Global.Tree], expr: Global.Tree): Global.Block

    Definition Classes
      StrictTreeCopier → TreeCopierOps

16. #### def CaseDef(tree: Global.Tree, pat: Global.Tree, guard: Global.Tree, body: Global.Tree): Global.CaseDef

    Definition Classes
      StrictTreeCopier → TreeCopierOps

17. #### def ClassDef(tree: Global.Tree, mods: Global.Modifiers, name: Global.Name, tparams: List[Global.TypeDef], impl: Global.Template): Global.ClassDef

    Definition Classes
      StrictTreeCopier → TreeCopierOps

18. #### def CompoundTypeTree(tree: Global.Tree, templ: Global.Template): Global.CompoundTypeTree

    Definition Classes
      StrictTreeCopier → TreeCopierOps

19. #### def DefDef(tree: Global.Tree, mods: Global.Modifiers, name: Global.Name, tparams: List[Global.TypeDef], vparamss: List[List[Global.ValDef]], tpt: Global.Tree, rhs: Global.Tree): Global.DefDef

    Definition Classes
      StrictTreeCopier → TreeCopierOps

20. #### def DocDef(tree: Global.Tree, comment: Global.DocComment, definition: Global.Tree): Global.DocDef

    Definition Classes
      StrictTreeCopier → TreeCopier

21. #### def ExistentialTypeTree(tree: Global.Tree, tpt: Global.Tree, whereClauses: List[Global.MemberDef]): Global.ExistentialTypeTree

    Definition Classes
      StrictTreeCopier → TreeCopierOps

22. #### def Function(tree: Global.Tree, vparams: List[Global.ValDef], body: Global.Tree): Global.Function

    Definition Classes
      StrictTreeCopier → TreeCopierOps

23. #### def Ident(tree: Global.Tree, name: Global.Name): Global.Ident

    Definition Classes
      StrictTreeCopier → TreeCopierOps

24. #### def If(tree: Global.Tree, cond: Global.Tree, thenp: Global.Tree, elsep: Global.Tree): Global.If

    Definition Classes
      StrictTreeCopier → TreeCopierOps

25. #### def Import(tree: Global.Tree, expr: Global.Tree, selectors: List[Global.ImportSelector]): Global.Import

    Definition Classes
      StrictTreeCopier → TreeCopierOps

26. #### def InjectDerivedValue(tree: Global.Tree, arg: Global.Tree): Global.InjectDerivedValue

    Definition Classes
      StrictTreeCopier → TreeCopier

27. #### def LabelDef(tree: Global.Tree, name: Global.Name, params: List[Global.Ident], rhs: Global.Tree): Global.LabelDef

    Definition Classes
      StrictTreeCopier → TreeCopierOps

28. #### def Literal(tree: Global.Tree, value: Global.Constant): Global.Literal

    Definition Classes
      StrictTreeCopier → TreeCopierOps

29. #### def Match(tree: Global.Tree, selector: Global.Tree, cases: List[Global.CaseDef]): Global.Match

    Definition Classes
      StrictTreeCopier → TreeCopierOps

30. #### def ModuleDef(tree: Global.Tree, mods: Global.Modifiers, name: Global.Name, impl: Global.Template): Global.ModuleDef

    Definition Classes
      StrictTreeCopier → TreeCopierOps

31. #### def New(tree: Global.Tree, tpt: Global.Tree): Global.New

    Definition Classes
      StrictTreeCopier → TreeCopierOps

32. #### def PackageDef(tree: Global.Tree, pid: Global.RefTree, stats: List[Global.Tree]): Global.PackageDef

    Definition Classes
      StrictTreeCopier → TreeCopierOps

33. #### def RefTree(tree: Global.Tree, qualifier: Global.Tree, selector: Global.Name): Global.RefTree

    Definition Classes
      StrictTreeCopier → TreeCopierOps

34. #### def ReferenceToBoxed(tree: Global.Tree, idt: Global.Ident): Global.ReferenceToBoxed

    Definition Classes
      StrictTreeCopier → TreeCopierOps

35. #### def Return(tree: Global.Tree, expr: Global.Tree): Global.Return

    Definition Classes
      StrictTreeCopier → TreeCopierOps

36. #### def Select(tree: Global.Tree, qualifier: Global.Tree, selector: Global.Name): Global.Select

    Definition Classes
      StrictTreeCopier → TreeCopierOps

37. #### def SelectFromArray(tree: Global.Tree, qualifier: Global.Tree, selector: Global.Name, erasure: Global.Type): Global.SelectFromArray

    Definition Classes
      StrictTreeCopier → TreeCopier

38. #### def SelectFromTypeTree(tree: Global.Tree, qualifier: Global.Tree, selector: Global.Name): Global.SelectFromTypeTree

    Definition Classes
      StrictTreeCopier → TreeCopierOps

39. #### def SingletonTypeTree(tree: Global.Tree, ref: Global.Tree): Global.SingletonTypeTree

    Definition Classes
      StrictTreeCopier → TreeCopierOps

40. #### def Star(tree: Global.Tree, elem: Global.Tree): Global.Star

    Definition Classes
      StrictTreeCopier → TreeCopierOps

41. #### def Super(tree: Global.Tree, qual: Global.Tree, mix: Global.TypeName): Global.Super

    Definition Classes
      StrictTreeCopier → TreeCopierOps

42. #### def Template(tree: Global.Tree, parents: List[Global.Tree], self: Global.ValDef, body: List[Global.Tree]): Global.Template

    Definition Classes
      StrictTreeCopier → TreeCopierOps

43. #### def This(tree: Global.Tree, qual: Global.Name): Global.This

    Definition Classes
      StrictTreeCopier → TreeCopierOps

44. #### def Throw(tree: Global.Tree, expr: Global.Tree): Global.Throw

    Definition Classes
      StrictTreeCopier → TreeCopierOps

45. #### def Try(tree: Global.Tree, block: Global.Tree, catches: List[Global.CaseDef], finalizer: Global.Tree): Global.Try

    Definition Classes
      StrictTreeCopier → TreeCopierOps

46. #### def TypeApply(tree: Global.Tree, fun: Global.Tree, args: List[Global.Tree]): Global.TypeApply

    Definition Classes
      StrictTreeCopier → TreeCopierOps

47. #### def TypeBoundsTree(tree: Global.Tree, lo: Global.Tree, hi: Global.Tree): Global.TypeBoundsTree

    Definition Classes
      StrictTreeCopier → TreeCopierOps

48. #### def TypeDef(tree: Global.Tree, mods: Global.Modifiers, name: Global.Name, tparams: List[Global.TypeDef], rhs: Global.Tree): Global.TypeDef

    Definition Classes
      StrictTreeCopier → TreeCopierOps

49. #### def TypeTree(tree: Global.Tree): Global.TypeTree

    Definition Classes
      StrictTreeCopier → TreeCopierOps

50. #### def TypeTreeWithDeferredRefCheck(tree: Global.Tree): Global.TypeTreeWithDeferredRefCheck

    Definition Classes
      StrictTreeCopier → TreeCopier

51. #### def Typed(tree: Global.Tree, expr: Global.Tree, tpt: Global.Tree): Global.Typed

    Definition Classes
      StrictTreeCopier → TreeCopierOps

52. #### def UnApply(tree: Global.Tree, fun: Global.Tree, args: List[Global.Tree]): Global.UnApply

    Definition Classes
      StrictTreeCopier → TreeCopierOps

53. #### def ValDef(tree: Global.Tree, mods: Global.Modifiers, name: Global.Name, tpt: Global.Tree, rhs: Global.Tree): Global.ValDef

    Definition Classes
      StrictTreeCopier → TreeCopierOps

54. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

55. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

56. #### def ensuring(cond: (Global.StrictTreeCopier) ⇒ Boolean, msg: ⇒ Any): Global.StrictTreeCopier

    Implicit information
      This member is added by an implicit conversion from Global.StrictTreeCopier to Ensuring[Global.StrictTreeCopier] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

57. #### def ensuring(cond: (Global.StrictTreeCopier) ⇒ Boolean): Global.StrictTreeCopier

    Implicit information
      This member is added by an implicit conversion from Global.StrictTreeCopier to Ensuring[Global.StrictTreeCopier] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

58. #### def ensuring(cond: Boolean, msg: ⇒ Any): Global.StrictTreeCopier

    Implicit information
      This member is added by an implicit conversion from Global.StrictTreeCopier to Ensuring[Global.StrictTreeCopier] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

59. #### def ensuring(cond: Boolean): Global.StrictTreeCopier

    Implicit information
      This member is added by an implicit conversion from Global.StrictTreeCopier to Ensuring[Global.StrictTreeCopier] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

60. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

61. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

62. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

63. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Global.StrictTreeCopier to StringFormat[Global.StrictTreeCopier] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

64. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

65. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

66. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

67. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

68. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

69. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

70. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

71. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

72. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

73. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

74. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

75. #### def →[B](y: B): (Global.StrictTreeCopier, B)

    Implicit information
      This member is added by an implicit conversion from Global.StrictTreeCopier to ArrowAssoc[Global.StrictTreeCopier] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Global.TreeCopier

### Inherited from Global.StrictTreeCopier

### Inherited from Global.InternalTreeCopierOps

### Inherited from Global.TreeCopierOps

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Global.StrictTreeCopier to any2stringadd[Global.StrictTreeCopier]

### Inherited by implicit conversion StringFormat from Global.StrictTreeCopier to StringFormat[Global.StrictTreeCopier]

### Inherited by implicit conversion Ensuring from Global.StrictTreeCopier to Ensuring[Global.StrictTreeCopier]

### Inherited by implicit conversion ArrowAssoc from Global.StrictTreeCopier to ArrowAssoc[Global.StrictTreeCopier]

### Ungrouped